- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Slots | Protected Member Functions

# QPSQLDriver Class Reference

Search for all occurrences

## Detailed Description

Definition at line 95 of file qsql_psql.h.

`#include <qsql_psql.h>`

Inheritance diagram for QPSQLDriver:
[legend]

List of all members.

## Public Types
enum | Protocol { Version6 = 6, Version7 = 7, Version71 = 8, Version73 = 9, Version74 = 10, Version8 = 11, Version81 = 12, Version82 = 13 }
## Public Member Functions
| QPSQLDriver (QObject *parent=0)
| QPSQLDriver (PGconn *conn, QObject *parent=0)
| ~QPSQLDriver ()
bool | hasFeature (DriverFeature f) const
bool | open (const QString &db, const QString &user, const QString &password, const QString &host, int port, const QString &connOpts)
bool | isOpen () const
void | close ()
QSqlResult * | createResult () const
QStringList | tables (QSql::TableType) const
QSqlIndex | primaryIndex (const QString &tablename) const
QSqlRecord | record (const QString &tablename) const
Protocol | protocol () const
QVariant | handle () const
QString | escapeIdentifier (const QString &identifier, IdentifierType type) const
QString | formatValue (const QSqlField &field, bool trimStrings) const
## Protected Slots
bool | subscribeToNotificationImplementation (const QString &name)
bool | unsubscribeFromNotificationImplementation (const QString &name)
QStringList | subscribedToNotificationsImplementation () const
## Protected Member Functions
bool | beginTransaction ()
bool | commitTransaction ()
bool | rollbackTransaction ()

## Member Enumeration Documentation

enum Protocol

Search for all occurrences

Enumerator:

  Version6 | Search for all occurrences
  Version7 | Search for all occurrences
  Version71 | Search for all occurrences
  Version73 | Search for all occurrences
  Version74 | Search for all occurrences
  Version8 | Search for all occurrences
  Version81 | Search for all occurrences
  Version82 | Search for all occurrences

Definition at line 99 of file qsql_psql.h.

                      {
            Version6 = 6,
            Version7 = 7,
            Version71 = 8,
            Version73 = 9,
            Version74 = 10,
            Version8 = 11,
            Version81 = 12,
            Version82 = 13
        };

## Constructor & Destructor Documentation

QPSQLDriver | ( | QObject * | parent = `0` | ) | `[explicit]`

QPSQLDriver | ( | PGconn * | conn,
|  | QObject * | parent = `0`
| ) |  | `[explicit]`

~QPSQLDriver | ( |  | ) |

## Member Function Documentation

bool hasFeature | ( | DriverFeature | f | ) | const `[virtual]`

Search for all occurrences

Implements QSqlDriver.

bool open | ( | const QString & | db,
|  | const QString & | user,
|  | const QString & | password,
|  | const QString & | host,
|  | int | port,
|  | const QString & | connOpts
| ) |  | `[virtual]`

Search for all occurrences

Implements QSqlDriver.

bool isOpen | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QSqlDriver.

void close | ( |  | ) | `[virtual]`

Search for all occurrences

Implements QSqlDriver.

QSqlResult* createResult | ( |  | ) | const `[virtual]`

Search for all occurrences

Implements QSqlDriver.

QStringList tables | ( | QSql::TableType |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QSqlDriver.

QSqlIndex primaryIndex | ( | const QString & | tablename | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QSqlDriver.

QSqlRecord record | ( | const QString & | tablename | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QSqlDriver.

Protocol protocol | ( |  | ) | const

Search for all occurrences

QVariant handle | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QSqlDriver.

QString escapeIdentifier | ( | const QString & | identifier,
|  | IdentifierType | type
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QSqlDriver.

QString formatValue | ( | const QSqlField & | field,
|  | bool | trimStrings
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QSqlDriver.

bool beginTransaction | ( |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QSqlDriver.

bool commitTransaction | ( |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QSqlDriver.

bool rollbackTransaction | ( |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QSqlDriver.

bool subscribeToNotificationImplementation | ( | const QString & | name | ) | `[protected, slot]`

Search for all occurrences

Reimplemented from QSqlDriver.

bool unsubscribeFromNotificationImplementation | ( | const QString & | name | ) | `[protected, slot]`

Search for all occurrences

Reimplemented from QSqlDriver.

QStringList subscribedToNotificationsImplementation | ( |  | ) | const `[protected, slot]`

Search for all occurrences

Reimplemented from QSqlDriver.

The documentation for this class was generated from the following file:

- QtSql/qsql_psql.h

QPSQLDriver QPSQLDriver QPSQLDriver QPSQLDriver QPSQLDriver QPSQLDriver QPSQLDriver QPSQLDriver QPSQLDriver QPSQLDriver
QPSQLDriver QPSQLDriver QPSQLDriver QPSQLDriver QPSQLDriver QPSQLDriver QPSQLDriver QPSQLDriver QPSQLDriver QPSQLDriver